# BEGIN SourceDeps(oneline):
BuildRequires: perl(Data/MuForm.pm) perl(ExtUtils/MakeMaker.pm) perl(FindBin.pm) perl(Module/Pluggable.pm) perl(Moo.pm) perl(Test/Most.pm)
# END SourceDeps(oneline)
%define module_name Data-MuFormX-Registry
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001
Release: alt1
Summary: Manage a hierachry of Data::MuForm classes
Group: Development/Perl
License: perl
URL: https://github.com/jjn1056/Data-MuFormX-Registry

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JJ/JJNAPIORK/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
NOTE Early access; the docs do not describe all existing features (read
the source :) ) and I reserve the right to break stuff if that's the only way
to fix deep problems.  On the other hand there's not a ton of stuff here so
its probably ok...

This is a wrapper on top of the Module::Pluggable::Object manpage to make it easier
to load up and create a namespace of the Data::MuForm manpage based form validation
classes.  At its heart it makes it so you don't have to say 'use Form;' for
every form you need in a package.  It also adds a way to centralize some
form initialization work.  This may or may not recommend itself to you.  I
think it makes it easier to reuse forms in different packages (for example in
different the Mojolicous manpage controllers).  On the other hand it injects a proxy
layer such that '$registry->create("Login")' is not 100%% transparent in that
you are getting an instance of 'MyApp::Form::Login'.  You may consider this
a type of action at a distance that makes your code harder to maintain.

If you have a lot of the Data::MuForm manpage based form validation classes you may find
it more useful.  I also believe it helps you follow the 'code against an interface
not an class' best practice.  As you wish ;)

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/D*

%changelog
* Thu May 31 2018 Igor Vlasenko <viy@altlinux.ru> 0.001-alt1
- initial import by package builder

